Please, help us to better serve our user community by answering the following short survey: https://www.hdfgroup.org/website-survey/

| HDF 4.3.0 API Reference |

Loading...
Searching...
No Matches
Data Structures | Macros | Enumerations | Functions | Variables
hdp.h File Reference
`#include "hdf.h"`
`#include "hfile_priv.h"`

## Data Structures
struct | dump_opt_t
struct | list_info_t
struct | number_filter_t
struct | char_filter_t
struct | obj_chosen_t
struct | dump_info_t
struct | filelist_t
struct | groupinfo_t
struct | objinfo_t
struct | objlist_t
struct | vd_info_t
struct | vg_info_t

## Macros
#define | MAXCHOICES 50
#define | MAXNAMELEN 100
#define | MAXCLASSLEN 100
#define | MAXPERLINE 65 /* max # of chars per line in the output */
#define | MAXRANK 100
#define | MAXFNLEN 256
#define | CONDENSE 1
#define | NO_SPECIFIC -1 /* no specific datasets are requested */
#define | ATTR_INDENT 0 /* # of spaces in front of attribute data */
#define | ATTR_CONT_INDENT
#define | DATA_INDENT 16 /* # of spaces in front of dataset data */
#define | DATA_CONT_INDENT
#define | SAFE_FREE(ptr)
#define | ERROR_GOTO_0(txt)
#define | ERROR_GOTO_1(txt, par1)
#define | ERROR_GOTO_2(txt, par1, par2)
#define | ERROR_GOTO_3(txt, par1, par2, par3)
#define | ERROR_GOTO_4(txt, par1, par2, par3, par4)
#define | ERROR_GOTO_5(txt, par1, par2, par3, par4, par5)
#define | ERROR_GOTO_6(txt, par1, par2, par3, par4, par5, par6)
#define | ERROR_CONT_0(txt)
#define | ERROR_CONT_1(txt, par1)
#define | ERROR_CONT_2(txt, par1, par2)
#define | ERROR_CONT_3(txt, par1, par2, par3)
#define | ERROR_CONT_4(txt, par1, par2, par3, par4)
#define | ERROR_CONT_END(txt, par1, par2, vd_id)
#define | ERROR_BREAK_0(txt, ret)
#define | ERROR_BREAK_1(txt, par1, ret)
#define | ERROR_BREAK_2(txt, par1, par2, ret)
#define | ERROR_BREAK_3(txt, par1, par2, par3, ret)
#define | ERROR_BREAK_4(txt, par1, par2, par3, par4, ret)
#define | ERROR_NOTIFY_2(txt, par1, par2)
#define | ERROR_NOTIFY_3(txt, par1, par2, par3)
#define | CHECK_POS(number, buf_size_name, func_name)
#define | CHECK_ALLOC(buffer, buf_name, func_name)
#define | CHECK_SPECIAL 0x0001 /* Look for spec. elem. when building dd list */
#define | CHECK_GROUP 0x0002 /* Look for groups when building dd list */
#define | CHECK_LABEL 0x0004 /* Look for anno. labels when building dd list */
#define | CHECK_DESC 0x0008 /* Look for anno. desc. when building dd list */
#define | NUM_VGS 20;
#define | PPSTR(name, str)
#define | PPNUM(name, num)
#define | PSTR(name, str)
#define | PNUM(name, num)

## Enumerations
enum | sort_t { OTAG , OFILE , OGROUP , ONAME }
enum | filter_t { DALL = 0 , DINDEX = 1 , DREFNUM = 2 , DNAME = 4 , DCLASS = 8 , DFIELDS = 16 }
enum | info_type_t { INVALID = 0 , IS_INDEX , IS_REFNUM , IS_NAME , IS_CLASS , IS_FIELD }
enum | content_t { DVERBOSE , DHEADER , DDATA }
enum | file_format_t { DASCII , DBINARY }

## Functions
int32 | VShdfsize (int32 vkey, char *fields)
intn | VSattrhdfsize (int32 vsid, int32 findex, intn attrindex, int32 *size)
intn | Vattrhdfsize (int32 vsid, intn attrindex, int32 *size)
intn | print_all_data_labels (const char *fname, int32 an_id)
intn | print_all_data_descs (const char *fname, int32 an_id)
intn | do_list (intn curr_arg, intn argc, char *argv[], int help)
intn | print_all_file_labels (const char *fname, int32 an_id)
intn | print_file_descs (const char *f_name, int32 an_id)
intn | print_all_file_descs (const char *fname, list_info_t *list_opts, int32 an_id)
intn | print_data_labels (const char *fname, int32 an_id, uint16 tag, uint16 ref)
intn | print_data_descs (const char *fname, int32 an_id, uint16 tag, uint16 ref)
void | dumpsds_usage (intn argc, char *argv[])
intn | parse_dumpsds_opts (dump_info_t *dumpsds_opts, intn *curr_arg, intn argc, char *argv[])
intn | do_dumpsds (intn curr_arg, intn argc, char *argv[], intn help)
intn | dsd (dump_info_t *dumpsds_opts, intn curr_arg, intn argc, char *argv[])
int32 | sdsdumpfull (int32 sds_id, dump_info_t *dumpsds_opts, int32 rank, int32 dimsizes[], int32 nt, FILE *fp)
intn | printSDS_ASCII (int32 sd_id, dump_info_t *dumpsds_opts, int32 sds_index, FILE *fp)
intn | printSDS_BINARY (int32 sd_id, dump_info_t *dumpsds_opts, int32 sds_index, FILE *fp)
intn | get_SDSindex_list (int32 sd_id, dump_info_t *dumpsds_opts, int32 **sds_chosen, intn *index_error)
char * | comp_method_txt (comp_coder_t comp_type)
intn | option_mask_string (int32 options_mask, char *opt_mask_strg)
intn | print_comp_info (FILE *fp, int32 sds_id, comp_coder_t *comp_type)
void | resetSDS (int32 *sds_id, int32 sds_index, char *curr_file_name)
intn | do_dumprig (intn curr_arg, intn argc, char *argv[], intn help)
intn | do_dumpvg (intn curr_arg, intn argc, char *argv[], intn help)
intn | print_data_annots (int32 file_id, const char *file_name, int32 tag, int32 ref)
intn | print_file_annotations (int32 file_id, const char *file_name)
void | print_fields (char *fields, char *field_title, FILE *fp)
intn | do_dumpvd (intn curr_arg, intn argc, char *argv[], intn help)
intn | parse_dumpvd_opts (dump_info_t *dumpvd_opts, intn *curr_arg, intn argc, char *argv[], char *flds_chosen[50], int *dumpallfields)
intn | do_dumpgr (intn curr_arg, intn argc, char *argv[], intn help)
intn | parse_dumpgr_opts (dump_info_t *dumpgr_opts, intn *curr_arg, intn argc, char *argv[])
intn | fmtchar (void *x, file_format_t ft, FILE *ofp)
intn | fmtuchar8 (void *x, file_format_t ft, FILE *ofp)
intn | fmtbyte (unsigned char *x, file_format_t ft, FILE *ofp)
intn | fmtint (void *x, file_format_t ft, FILE *ofp)
intn | fmtshort (void *x, file_format_t ft, FILE *ofp)
intn | fmtint8 (void *x, file_format_t ft, FILE *ofp)
intn | fmtuint8 (void *x, file_format_t ft, FILE *ofp)
intn | fmtint16 (void *x, file_format_t ft, FILE *ofp)
intn | fmtuint16 (void *x, file_format_t ft, FILE *ofp)
intn | fmtint32 (void *x, file_format_t ft, FILE *ofp)
intn | fmtuint32 (void *x, file_format_t ft, FILE *ofp)
intn | fmtfloat32 (void *x, file_format_t ft, FILE *ofp)
intn | fmtfloat64 (void *x, file_format_t ft, FILE *ofp)
intn | dumpfull (int32 nt, dump_info_t *dump_opts, int32 cnt, void *databuf, FILE *ofp, intn indent, intn cont_indent)
intn | dumpclean (int32 nt, dump_info_t *dump_opts, int32 cnt, void *databuf, FILE *ofp)
int32 | dumpGR_SDattr (int32 nt, dump_info_t *dump_opts, int32 cnt, void *databuf, FILE *ofp)
int32 | dumpvd (int32 vd, file_format_t ft, int data_only, FILE *fp, char separator[2], int32 flds_indices[VSFIELDMAX], int dumpallfields)
intn | dumpattr (int32 vid, int32 findex, intn isvs, file_format_t ft, FILE *fp)
void | init_dump_opts (dump_info_t *dump_opts)
void | parse_number_opts (char *argv[], int *curr_arg, number_filter_t *filter)
void | parse_string_opts (char *argv[], int *curr_arg, char_filter_t *filter)
void | parse_value_opts (char *argv[], int *curr_arg, dump_info_t **dump_opts, info_type_t info_type)
char * | tagnum_to_name (intn num)
intn | tagname_to_num (const char *name)
void | sort (int32 *chosen, int32 choices)
int | sort_obj_list_by_tag (const void *, const void *)
int | int32_compare (const void *, const void *)
filelist_t * | make_file_list (intn curr_arg, intn argc, char *argv[])
char * | get_next_file (filelist_t *f_list, intn advance)
int32 * | free_num_list (int32 *num_list)
char ** | free_str_list (char **str_list, int32 num_items)
vg_info_t ** | free_vginfo_list (vg_info_t **list, int32 num_items)
vg_info_t * | free_node_vg_info_t (vg_info_t *aNode)
void | free_obj_chosen_t_list (obj_chosen_t **nodelist, int32 num_items)
void | free_file_list (filelist_t *f_list)
groupinfo_t * | make_group_list (int32 fid, uint16 tag, uint16 ref)
DFdi * | get_next_group (groupinfo_t *g_list, intn advance)
int32 | get_group_max (groupinfo_t *g_list)
void | free_group_list (groupinfo_t *g_list)
objlist_t * | make_obj_list (int32 fid, uint32 options)
objinfo_t * | get_next_obj (objlist_t *o_list, intn advance)
objinfo_t * | goto_nth_obj (objlist_t *o_list, intn n)
void | reset_obj_list (objlist_t *o_list)
void | resetBuff (void **buf)
void | free_obj_list (objlist_t *o_list)
void | sort_obj_list (objlist_t *o_list, sort_t sort_type)
intn | print_SDattrs (int32 sd_id, FILE *fp, int32 n_file_attrs, dump_info_t *dumpsds_opts)
intn | print_SDSattrs (int32 sds_id, int32 nattrs, FILE *fp, dump_info_t *dumpsds_opts)
intn | print_GRattrs (int32 gr_id, int32 n_file_attrs, FILE *fp, dump_info_t *dumpgr_opts)
intn | print_RIattrs (int32 ri_id, intn ri_index, int32 nattrs, FILE *fp, dump_info_t *dumpgr_opts)
void | alloc_index_list (int32 **index_list, int32 num_chosen)

## Variables
intn | vinit_done

## Macro Definition Documentation

## ◆ ATTR_CONT_INDENT

#define ATTR_CONT_INDENT

Value:
25 /* # of spaces in front of attribute data \
on a continuous line */

## ◆ ATTR_INDENT

#define ATTR_INDENT 0 /* # of spaces in front of attribute data */

## ◆ CHECK_ALLOC

#define CHECK_ALLOC | ( |  | buffer,
|  |  | buf_name,
|  |  | func_name )

Value:
{ \
if (buffer == NULL) { \
fprintf(stderr, "in %s: space allocation for %s failed. Terminated!\n", func_name, buf_name); \
exit(1); \
} \
}
buffer
intf intf intf intf intf void * buffer
Definition hproto_fortran.h:314

## ◆ CHECK_DESC

#define CHECK_DESC 0x0008 /* Look for anno. desc. when building dd list */

## ◆ CHECK_GROUP

#define CHECK_GROUP 0x0002 /* Look for groups when building dd list */

## ◆ CHECK_LABEL

#define CHECK_LABEL 0x0004 /* Look for anno. labels when building dd list */

## ◆ CHECK_POS

#define CHECK_POS | ( |  | number,
|  |  | buf_size_name,
|  |  | func_name )

Value:
{ \
if (number <= 0) { \
fprintf(stderr, "in %s: Attempting to allocate 0 items using '%s'!\n", func_name, \
buf_size_name); \
exit(1); \
} \
}
number
HDFFCLIBAPI intf intf * number
Definition mfsdf.h:105

## ◆ CHECK_SPECIAL

#define CHECK_SPECIAL 0x0001 /* Look for spec. elem. when building dd list */

## ◆ CONDENSE

#define CONDENSE 1

## ◆ DATA_CONT_INDENT

#define DATA_CONT_INDENT

Value:
16 /* # of spaces in front of dataset data \
on a continuous line */

## ◆ DATA_INDENT

#define DATA_INDENT 16 /* # of spaces in front of dataset data */

## ◆ ERROR_BREAK_0

#define ERROR_BREAK_0 | ( |  | txt,
|  |  | ret )

Value:
{ \
fprintf(stderr, "\nHDP ERROR>>> %s", txt); \
fprintf(stderr, ".\n"); \
ret_value = ret; \
break; \
}

## ◆ ERROR_BREAK_1

#define ERROR_BREAK_1 | ( |  | txt,
|  |  | par1,
|  |  | ret )

Value:
{ \
fprintf(stderr, "\nHDP ERROR>>> "); \
fprintf(stderr, txt, par1); \
fprintf(stderr, ".\n"); \
ret_value = ret; \
break; \
}

## ◆ ERROR_BREAK_2

#define ERROR_BREAK_2 | ( |  | txt,
|  |  | par1,
|  |  | par2,
|  |  | ret )

Value:
{ \
fprintf(stderr, "\nHDP ERROR>>> "); \
fprintf(stderr, txt, par1, par2); \
fprintf(stderr, ".\n"); \
ret_value = ret; \
break; \
}

## ◆ ERROR_BREAK_3

#define ERROR_BREAK_3 | ( |  | txt,
|  |  | par1,
|  |  | par2,
|  |  | par3,
|  |  | ret )

Value:
{ \
fprintf(stderr, "\nHDP ERROR>>> "); \
fprintf(stderr, txt, par1, par2, par3); \
fprintf(stderr, ".\n"); \
ret_value = ret; \
break; \
}

## ◆ ERROR_BREAK_4

#define ERROR_BREAK_4 | ( |  | txt,
|  |  | par1,
|  |  | par2,
|  |  | par3,
|  |  | par4,
|  |  | ret )

Value:
{ \
fprintf(stderr, "\nHDP ERROR>>> "); \
fprintf(stderr, txt, par1, par2, par3, par4); \
fprintf(stderr, ".\n"); \
ret_value = ret; \
break; \
}

## ◆ ERROR_CONT_0

#define ERROR_CONT_0 | ( |  | txt | ) |

Value:
{ \
fprintf(stderr, "\nHDP ERROR>>> ", txt); \
fprintf(stderr, ". Continued.\n\n"); \
ret_value = FAIL; \
continue; \
}
FAIL
#define FAIL
Definition hdf.h:135

## ◆ ERROR_CONT_1

#define ERROR_CONT_1 | ( |  | txt,
|  |  | par1 )

Value:
{ \
fprintf(stderr, "\nHDP ERROR>>> "); \
fprintf(stderr, txt, par1); \
fprintf(stderr, ". Continued.\n\n"); \
ret_value = FAIL; \
continue; \
}

## ◆ ERROR_CONT_2

#define ERROR_CONT_2 | ( |  | txt,
|  |  | par1,
|  |  | par2 )

Value:
{ \
fprintf(stderr, "\nHDP ERROR>>> "); \
fprintf(stderr, txt, par1, par2); \
fprintf(stderr, ". Continued.\n\n"); \
ret_value = FAIL; \
continue; \
}

## ◆ ERROR_CONT_3

#define ERROR_CONT_3 | ( |  | txt,
|  |  | par1,
|  |  | par2,
|  |  | par3 )

Value:
{ \
fprintf(stderr, "\nHDP ERROR>>> "); \
fprintf(stderr, txt, par1, par2, par3); \
fprintf(stderr, ". Continued.\n\n"); \
ret_value = FAIL; \
continue; \
}

## ◆ ERROR_CONT_4

#define ERROR_CONT_4 | ( |  | txt,
|  |  | par1,
|  |  | par2,
|  |  | par3,
|  |  | par4 )

Value:
{ \
fprintf(stderr, "\nHDP ERROR>>> "); \
fprintf(stderr, txt, par1, par2, par3, par4); \
fprintf(stderr, ". Continued.\n\n"); \
ret_value = FAIL; \
continue; \
}

## ◆ ERROR_CONT_END

#define ERROR_CONT_END | ( |  | txt,
|  |  | par1,
|  |  | par2,
|  |  | vd_id )

Value:
{ \
fprintf(stderr, "\nHDP ERROR>>> "); \
fprintf(stderr, txt, par1, par2); \
fprintf(stderr, ". Continued.\n\n"); \
ret_value = FAIL; \
VSdetach(vd_id); \
vd_id = FAIL; /* reset */ \
continue; \
}

## ◆ ERROR_GOTO_0

#define ERROR_GOTO_0 | ( |  | txt | ) |

Value:
{ \
fprintf(stderr, "\nHDP ERROR>>> %s", txt); \
fprintf(stderr, ".\n"); \
HGOTO_DONE(FAIL); \
}

## ◆ ERROR_GOTO_1

#define ERROR_GOTO_1 | ( |  | txt,
|  |  | par1 )

Value:
{ \
fprintf(stderr, "\nHDP ERROR>>> "); \
fprintf(stderr, txt, par1); \
fprintf(stderr, ".\n"); \
HGOTO_DONE(FAIL); \
}

## ◆ ERROR_GOTO_2

#define ERROR_GOTO_2 | ( |  | txt,
|  |  | par1,
|  |  | par2 )

Value:
{ \
fprintf(stderr, "\nHDP ERROR>>> "); \
fprintf(stderr, txt, par1, par2); \
fprintf(stderr, ".\n"); \
HGOTO_DONE(FAIL); \
}

## ◆ ERROR_GOTO_3

#define ERROR_GOTO_3 | ( |  | txt,
|  |  | par1,
|  |  | par2,
|  |  | par3 )

Value:
{ \
fprintf(stderr, "\nHDP ERROR>>> "); \
fprintf(stderr, txt, par1, par2, par3); \
fprintf(stderr, ".\n"); \
HGOTO_DONE(FAIL); \
}

## ◆ ERROR_GOTO_4

#define ERROR_GOTO_4 | ( |  | txt,
|  |  | par1,
|  |  | par2,
|  |  | par3,
|  |  | par4 )

Value:
{ \
fprintf(stderr, "\nHDP ERROR>>> "); \
fprintf(stderr, txt, par1, par2, par3, par4); \
fprintf(stderr, ".\n"); \
HGOTO_DONE(FAIL); \
}

## ◆ ERROR_GOTO_5

#define ERROR_GOTO_5 | ( |  | txt,
|  |  | par1,
|  |  | par2,
|  |  | par3,
|  |  | par4,
|  |  | par5 )

Value:
{ \
fprintf(stderr, "\nHDP ERROR>>> "); \
fprintf(stderr, txt, par1, par2, par3, par4, par5); \
fprintf(stderr, ".\n"); \
HGOTO_DONE(FAIL); \
}

## ◆ ERROR_GOTO_6

#define ERROR_GOTO_6 | ( |  | txt,
|  |  | par1,
|  |  | par2,
|  |  | par3,
|  |  | par4,
|  |  | par5,
|  |  | par6 )

Value:
{ \
fprintf(stderr, "\nHDP ERROR>>> "); \
fprintf(stderr, txt, par1, par2, par3, par4, par5, par6); \
fprintf(stderr, ".\n"); \
HGOTO_DONE(FAIL); \
}

## ◆ ERROR_NOTIFY_2

#define ERROR_NOTIFY_2 | ( |  | txt,
|  |  | par1,
|  |  | par2 )

Value:
{ \
fprintf(stderr, "\nHDP ERROR>>> "); \
fprintf(stderr, txt, par1, par2); \
fprintf(stderr, ".\n"); \
ret_value = FAIL; \
}

## ◆ ERROR_NOTIFY_3

#define ERROR_NOTIFY_3 | ( |  | txt,
|  |  | par1,
|  |  | par2,
|  |  | par3 )

Value:
{ \
fprintf(stderr, "\nHDP ERROR>>> "); \
fprintf(stderr, txt, par1, par2, par3); \
fprintf(stderr, ".\n"); \
ret_value = FAIL; \
}

## ◆ MAXCHOICES

#define MAXCHOICES 50

## ◆ MAXCLASSLEN

#define MAXCLASSLEN 100

## ◆ MAXFNLEN

#define MAXFNLEN 256

## ◆ MAXNAMELEN

#define MAXNAMELEN 100

## ◆ MAXPERLINE

#define MAXPERLINE 65 /* max # of chars per line in the output */

## ◆ MAXRANK

#define MAXRANK 100

## ◆ NO_SPECIFIC

#define NO_SPECIFIC -1 /* no specific datasets are requested */

## ◆ NUM_VGS

#define NUM_VGS 20;

## ◆ PNUM

#define PNUM | ( |  | name,
|  |  | num )

Value:
{ \
fprintf(stderr, " %s: %d\n", name, num); \
}
num
intf intf intf intf * num
Definition hproto_fortran.h:434
name
intf _fcd name
Definition hproto_fortran.h:762

## ◆ PPNUM

#define PPNUM | ( |  | name,
|  |  | num )

Value:
{ \
printf(" %s: %d\n", name, num); \
}

## ◆ PPSTR

#define PPSTR | ( |  | name,
|  |  | str )

Value:
{ \
printf(" %s: %s\n", name, str); \
}

## ◆ PSTR

#define PSTR | ( |  | name,
|  |  | str )

Value:
{ \
fprintf(stderr, " %s: %s\n", name, str); \
}

## ◆ SAFE_FREE

#define SAFE_FREE | ( |  | ptr | ) |

Value:
{ \
free(ptr); \
ptr = NULL; \
}
ptr
intf intf ptr[][4]
Definition hproto_fortran.h:434

## Enumeration Type Documentation

## ◆ content_t

enum content_t

Enumerator
DVERBOSE |
DHEADER |
DDATA |

## ◆ file_format_t

enum file_format_t

Enumerator
DASCII |
DBINARY |

## ◆ filter_t

enum filter_t

Enumerator
DALL |
DINDEX |
DREFNUM |
DNAME |
DCLASS |
DFIELDS |

## ◆ info_type_t

enum info_type_t

Enumerator
INVALID |
IS_INDEX |
IS_REFNUM |
IS_NAME |
IS_CLASS |
IS_FIELD |

## ◆ sort_t

enum sort_t

Enumerator
OTAG |
OFILE |
OGROUP |
ONAME |

## Function Documentation

## ◆ alloc_index_list()

void alloc_index_list | ( | int32 ** | index_list,
|  | int32 | num_chosen )
| extern

## ◆ comp_method_txt()

char * comp_method_txt | ( | comp_coder_t | comp_type | ) |

## ◆ do_dumpgr()

intn do_dumpgr | ( | intn | curr_arg,
|  | intn | argc,
|  | char * | argv[],
|  | intn | help )

## ◆ do_dumprig()

intn do_dumprig | ( | intn | curr_arg,
|  | intn | argc,
|  | char * | argv[],
|  | intn | help )
| extern

## ◆ do_dumpsds()

intn do_dumpsds | ( | intn | curr_arg,
|  | intn | argc,
|  | char * | argv[],
|  | intn | help )

## ◆ do_dumpvd()

intn do_dumpvd | ( | intn | curr_arg,
|  | intn | argc,
|  | char * | argv[],
|  | intn | help )

## ◆ do_dumpvg()

intn do_dumpvg | ( | intn | curr_arg,
|  | intn | argc,
|  | char * | argv[],
|  | intn | help )
| extern

## ◆ do_list()

intn do_list | ( | intn | curr_arg,
|  | intn | argc,
|  | char * | argv[],
|  | int | help )
| extern

## ◆ dsd()

intn dsd | ( | dump_info_t * | dumpsds_opts,
|  | intn | curr_arg,
|  | intn | argc,
|  | char * | argv[] )

## ◆ dumpattr()

intn dumpattr | ( | int32 | vid,
|  | int32 | findex,
|  | intn | isvs,
|  | file_format_t | ft,
|  | FILE * | fp )
| extern

## ◆ dumpclean()

intn dumpclean | ( | int32 | nt,
|  | dump_info_t * | dump_opts,
|  | int32 | cnt,
|  | void * | databuf,
|  | FILE * | ofp )
| extern

## ◆ dumpfull()

intn dumpfull | ( | int32 | nt,
|  | dump_info_t * | dump_opts,
|  | int32 | cnt,
|  | void * | databuf,
|  | FILE * | ofp,
|  | intn | indent,
|  | intn | cont_indent )
| extern

## ◆ dumpGR_SDattr()

int32 dumpGR_SDattr | ( | int32 | nt,
|  | dump_info_t * | dump_opts,
|  | int32 | cnt,
|  | void * | databuf,
|  | FILE * | ofp )
| extern

## ◆ dumpsds_usage()

void dumpsds_usage | ( | intn | argc,
|  | char * | argv[] )

## ◆ dumpvd()

int32 dumpvd | ( | int32 | vd,
|  | file_format_t | ft,
|  | int | data_only,
|  | FILE * | fp,
|  | char | separator[2],
|  | int32 | flds_indices[VSFIELDMAX],
|  | int | dumpallfields )
| extern

## ◆ fmtbyte()

intn fmtbyte | ( | unsigned char * | x,
|  | file_format_t | ft,
|  | FILE * | ofp )
| extern

## ◆ fmtchar()

intn fmtchar | ( | void * | x,
|  | file_format_t | ft,
|  | FILE * | ofp )
| extern

## ◆ fmtfloat32()

intn fmtfloat32 | ( | void * | x,
|  | file_format_t | ft,
|  | FILE * | ofp )
| extern

## ◆ fmtfloat64()

intn fmtfloat64 | ( | void * | x,
|  | file_format_t | ft,
|  | FILE * | ofp )
| extern

## ◆ fmtint()

intn fmtint | ( | void * | x,
|  | file_format_t | ft,
|  | FILE * | ofp )
| extern

## ◆ fmtint16()

intn fmtint16 | ( | void * | x,
|  | file_format_t | ft,
|  | FILE * | ofp )
| extern

## ◆ fmtint32()

intn fmtint32 | ( | void * | x,
|  | file_format_t | ft,
|  | FILE * | ofp )
| extern

## ◆ fmtint8()

intn fmtint8 | ( | void * | x,
|  | file_format_t | ft,
|  | FILE * | ofp )
| extern

## ◆ fmtshort()

intn fmtshort | ( | void * | x,
|  | file_format_t | ft,
|  | FILE * | ofp )
| extern

## ◆ fmtuchar8()

intn fmtuchar8 | ( | void * | x,
|  | file_format_t | ft,
|  | FILE * | ofp )
| extern

## ◆ fmtuint16()

intn fmtuint16 | ( | void * | x,
|  | file_format_t | ft,
|  | FILE * | ofp )
| extern

## ◆ fmtuint32()

intn fmtuint32 | ( | void * | x,
|  | file_format_t | ft,
|  | FILE * | ofp )
| extern

## ◆ fmtuint8()

intn fmtuint8 | ( | void * | x,
|  | file_format_t | ft,
|  | FILE * | ofp )
| extern

## ◆ free_file_list()

void free_file_list | ( | filelist_t * | f_list | ) |
| extern

## ◆ free_group_list()

void free_group_list | ( | groupinfo_t * | g_list | ) |
| extern

## ◆ free_node_vg_info_t()

vg_info_t * free_node_vg_info_t | ( | vg_info_t * | aNode | ) |
| extern

## ◆ free_num_list()

int32 * free_num_list | ( | int32 * | num_list | ) |
| extern

## ◆ free_obj_chosen_t_list()

void free_obj_chosen_t_list | ( | obj_chosen_t ** | nodelist,
|  | int32 | num_items )

## ◆ free_obj_list()

void free_obj_list | ( | objlist_t * | o_list | ) |
| extern

## ◆ free_str_list()

char ** free_str_list | ( | char ** | str_list,
|  | int32 | num_items )
| extern

## ◆ free_vginfo_list()

vg_info_t ** free_vginfo_list | ( | vg_info_t ** | list,
|  | int32 | num_items )
| extern

## ◆ get_group_max()

int32 get_group_max | ( | groupinfo_t * | g_list | ) |
| extern

## ◆ get_next_file()

char * get_next_file | ( | filelist_t * | f_list,
|  | intn | advance )
| extern

## ◆ get_next_group()

DFdi * get_next_group | ( | groupinfo_t * | g_list,
|  | intn | advance )
| extern

## ◆ get_next_obj()

objinfo_t * get_next_obj | ( | objlist_t * | o_list,
|  | intn | advance )
| extern

## ◆ get_SDSindex_list()

intn get_SDSindex_list | ( | int32 | sd_id,
|  | dump_info_t * | dumpsds_opts,
|  | int32 ** | sds_chosen,
|  | intn * | index_error )

## ◆ goto_nth_obj()

objinfo_t * goto_nth_obj | ( | objlist_t * | o_list,
|  | intn | n )
| extern

## ◆ init_dump_opts()

void init_dump_opts | ( | dump_info_t * | dump_opts | ) |

## ◆ int32_compare()

int int32_compare | ( | const void * | ,
|  | const void * | )

## ◆ make_file_list()

filelist_t * make_file_list | ( | intn | curr_arg,
|  | intn | argc,
|  | char * | argv[] )
| extern

## ◆ make_group_list()

groupinfo_t * make_group_list | ( | int32 | fid,
|  | uint16 | tag,
|  | uint16 | ref )
| extern

## ◆ make_obj_list()

objlist_t * make_obj_list | ( | int32 | fid,
|  | uint32 | options )
| extern

## ◆ option_mask_string()

intn option_mask_string | ( | int32 | options_mask,
|  | char * | opt_mask_strg )

## ◆ parse_dumpgr_opts()

intn parse_dumpgr_opts | ( | dump_info_t * | dumpgr_opts,
|  | intn * | curr_arg,
|  | intn | argc,
|  | char * | argv[] )

## ◆ parse_dumpsds_opts()

intn parse_dumpsds_opts | ( | dump_info_t * | dumpsds_opts,
|  | intn * | curr_arg,
|  | intn | argc,
|  | char * | argv[] )

## ◆ parse_dumpvd_opts()

intn parse_dumpvd_opts | ( | dump_info_t * | dumpvd_opts,
|  | intn * | curr_arg,
|  | intn | argc,
|  | char * | argv[],
|  | char * | flds_chosen[50],
|  | int * | dumpallfields )

## ◆ parse_number_opts()

void parse_number_opts | ( | char * | argv[],
|  | int * | curr_arg,
|  | number_filter_t * | filter )

## ◆ parse_string_opts()

void parse_string_opts | ( | char * | argv[],
|  | int * | curr_arg,
|  | char_filter_t * | filter )

## ◆ parse_value_opts()

void parse_value_opts | ( | char * | argv[],
|  | int * | curr_arg,
|  | dump_info_t ** | dump_opts,
|  | info_type_t | info_type )

## ◆ print_all_data_descs()

intn print_all_data_descs | ( | const char * | fname,
|  | int32 | an_id )
| extern

## ◆ print_all_data_labels()

intn print_all_data_labels | ( | const char * | fname,
|  | int32 | an_id )
| extern

## ◆ print_all_file_descs()

intn print_all_file_descs | ( | const char * | fname,
|  | list_info_t * | list_opts,
|  | int32 | an_id )

## ◆ print_all_file_labels()

intn print_all_file_labels | ( | const char * | fname,
|  | int32 | an_id )
| extern

## ◆ print_comp_info()

intn print_comp_info | ( | FILE * | fp,
|  | int32 | sds_id,
|  | comp_coder_t * | comp_type )

## ◆ print_data_annots()

intn print_data_annots | ( | int32 | file_id,
|  | const char * | file_name,
|  | int32 | tag,
|  | int32 | ref )
| extern

## ◆ print_data_descs()

intn print_data_descs | ( | const char * | fname,
|  | int32 | an_id,
|  | uint16 | tag,
|  | uint16 | ref )

## ◆ print_data_labels()

intn print_data_labels | ( | const char * | fname,
|  | int32 | an_id,
|  | uint16 | tag,
|  | uint16 | ref )

## ◆ print_fields()

void print_fields | ( | char * | fields,
|  | char * | field_title,
|  | FILE * | fp )

## ◆ print_file_annotations()

intn print_file_annotations | ( | int32 | file_id,
|  | const char * | file_name )
| extern

## ◆ print_file_descs()

intn print_file_descs | ( | const char * | f_name,
|  | int32 | an_id )
| extern

## ◆ print_GRattrs()

intn print_GRattrs | ( | int32 | gr_id,
|  | int32 | n_file_attrs,
|  | FILE * | fp,
|  | dump_info_t * | dumpgr_opts )
| extern

## ◆ print_RIattrs()

intn print_RIattrs | ( | int32 | ri_id,
|  | intn | ri_index,
|  | int32 | nattrs,
|  | FILE * | fp,
|  | dump_info_t * | dumpgr_opts )
| extern

## ◆ print_SDattrs()

intn print_SDattrs | ( | int32 | sd_id,
|  | FILE * | fp,
|  | int32 | n_file_attrs,
|  | dump_info_t * | dumpsds_opts )
| extern

## ◆ print_SDSattrs()

intn print_SDSattrs | ( | int32 | sds_id,
|  | int32 | nattrs,
|  | FILE * | fp,
|  | dump_info_t * | dumpsds_opts )
| extern

## ◆ printSDS_ASCII()

intn printSDS_ASCII | ( | int32 | sd_id,
|  | dump_info_t * | dumpsds_opts,
|  | int32 | sds_index,
|  | FILE * | fp )

## ◆ printSDS_BINARY()

intn printSDS_BINARY | ( | int32 | sd_id,
|  | dump_info_t * | dumpsds_opts,
|  | int32 | sds_index,
|  | FILE * | fp )

## ◆ reset_obj_list()

void reset_obj_list | ( | objlist_t * | o_list | ) |
| extern

## ◆ resetBuff()

void resetBuff | ( | void ** | buf | ) |
| extern

## ◆ resetSDS()

void resetSDS | ( | int32 * | sds_id,
|  | int32 | sds_index,
|  | char * | curr_file_name )

## ◆ sdsdumpfull()

int32 sdsdumpfull | ( | int32 | sds_id,
|  | dump_info_t * | dumpsds_opts,
|  | int32 | rank,
|  | int32 | dimsizes[],
|  | int32 | nt,
|  | FILE * | fp )

## ◆ sort()

void sort | ( | int32 * | chosen,
|  | int32 | choices )
| extern

## ◆ sort_obj_list()

void sort_obj_list | ( | objlist_t * | o_list,
|  | sort_t | sort_type )
| extern

## ◆ sort_obj_list_by_tag()

int sort_obj_list_by_tag | ( | const void * | ,
|  | const void * | )

## ◆ tagname_to_num()

intn tagname_to_num | ( | const char * | name | ) |
| extern

## ◆ tagnum_to_name()

char * tagnum_to_name | ( | intn | num | ) |
| extern

## ◆ Vattrhdfsize()

intn Vattrhdfsize | ( | int32 | vsid,
|  | intn | attrindex,
|  | int32 * | size )
| extern

## ◆ VSattrhdfsize()

intn VSattrhdfsize | ( | int32 | vsid,
|  | int32 | findex,
|  | intn | attrindex,
|  | int32 * | size )
| extern

## ◆ VShdfsize()

int32 VShdfsize | ( | int32 | vkey,
|  | char * | fields )
| extern

## Variable Documentation

## ◆ vinit_done

intn vinit_done
| extern